class Cfile;

class Cclassmember : public Centity {
public:
	Cfile			*m_fileP;
	int				m_lineno;

#define LocalX 		0x01	/* This is local function/variable 		*/
#define InitX		0x02	/* This variable is initialised			*/
#define NestedX		0x04	/* This variable is inside a function	*/
#define IgnoreX		0x08	/* Don't emit this class member			*/
#define ExternalX	0x10	/* This item is not defined in source	*/
#define WeakX		0x20	/* This is a weak data variable			*/
#define AddressesX	0x40	/* This variable may address a function	*/
#define FindX		0x80	/* Find variable anywhere				*/ 

	int				m_flags;

	static unsigned int	hash(const char *nameP);

	Cclassmember(const char *nameP);
	virtual ~Cclassmember(void) {}

	void			addto_class(void);
	void			emit_class(void) const;
};
